## dojox.cometd
Interface SecurityPolicy

All Known Implementing Classes:
  AbstractBayeux.DefaultPolicy

    public interface SecurityPolicy

Pluggable security policy for Bayeux

Method Summary
`boolean` `canCreate(Client client, String channel, Message message)`
`boolean` `canHandshake(Message message)`
`boolean` `canPublish(Client client, String channel, Message messsage)`
`boolean` `canSubscribe(Client client, String channel, Message messsage)`

Method Detail

### canHandshake

    boolean canHandshake(Message message)

### canCreate

    boolean canCreate(Client client,
                      String channel,
                      Message message)

### canSubscribe

    boolean canSubscribe(Client client,
                         String channel,
                         Message messsage)

### canPublish

    boolean canPublish(Client client,
                       String channel,
                       Message messsage)

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.